digiKam Developer Documentation: Digikam::CamItemInfo Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::CamItemInfo Class Reference

## Public Types
enum | DownloadStatus { DownloadUnknown = -1 , DownloadedNo = 0 , DownloadedYes = 1 , DownloadFailed = 2 , DownloadStarted = 3 , NewPicture = 4 }

## Public Member Functions
bool | isNull () const
| Return true if all member in this container are null.
bool | operator!= (const CamItemInfo &info) const
| Compare for camera information un-equality, not including variable values.
bool | operator== (const CamItemInfo &info) const
| Compare for camera information equality, not including variable values.
QUrl | url () const
| Return the local file system (mounted on computer) url to the camera file.

## Public Attributes
int | colorLabel = NoColorLabel
| Pre-picklabel value of camera file.
QDateTime | ctime
| Created time stamp of camera file.
int | downloaded = DownloadUnknown
| Variable values depending of user actions.
QString | downloadName
| Preview of the file-name to use during download from camera.
QString | folder
| Folder path to access to file in camera.
int | height = -1
| Image height in pixels.
qlonglong | id = -1
| Unique image id.
QString | mime
| Type mime of camera file.
QString | name
| File name in camera file-system.
PhotoInfoContainer | photoInfo
| Photo Info from camera file (get from file metadata)
int | pickLabel = NoPickLabel
| Pre-picklabel value of camera file.
bool | previewPossible = false
int | rating = NoRating
| Pre-rating value of camera file.
int | readPermissions = -1
| Read permission of camera file.
qint64 | size = -1
| Static values taken from camera.
QList< int > | tagIds
| Pre-tags ids of camera file.
int | width = -1
| Image width in pixels.
int | writePermissions = -1
| Write permission of camera file.

## Member Enumeration Documentation

## ◆ DownloadStatus

enum Digikam::CamItemInfo::DownloadStatus

Enumerator
DownloadUnknown | Download state is unknown.
DownloadedNo | Is not yet downloaded on computer.
DownloadedYes | Is already downloaded on computer.
DownloadFailed | Download is failed or have been aborted by user.
DownloadStarted | Download is under progress.
NewPicture | This is a new item from camera.

## Member Data Documentation

## ◆ downloaded

int Digikam::CamItemInfo::downloaded = DownloadUnknown

Download status of camera file. See DownloadStatus enum for details

## ◆ size

qint64 Digikam::CamItemInfo::size = -1

Camera file size in bytes.